package net.battlefield;

import net.minecraft.src.EntityMob;
import net.minecraft.src.World;
import net.minecraft.src.EntityAIAttackOnCollide;
import net.minecraft.src.EntityAIBreakDoor;
import net.minecraft.src.EntityAIHurtByTarget;
import net.minecraft.src.EntityAINearestAttackableTarget;
import net.minecraft.src.EntityAISwimming;
import net.minecraft.src.EntityAIWander;
import net.minecraft.src.EntityAIWatchClosest;
import net.minecraft.src.EntityPlayer;
import net.minecraft.src.EnumCreatureAttribute;
import net.minecraft.src.ItemStack;
import net.minecraft.src.MathHelper;

public class EntityTerrorist_G extends EntityMob
{
 public EntityTerrorist_G(World par1World) 
 {
  super(par1World); 
  this.texture = "/battlefield/mobs/TerroristGunner.png";
 this.moveSpeed = 0.30F;
 }
 public int getMaxHealth() 
 {
	 
  return 30;
 }
 public int getTotalArmorValue()
 {
     return 2;
 }
// protected String getLivingSound()
// {
//   return "//mob.zombie.living";
// }
//
// protected String getHurtSound()
// {
//    return "mob.zombie.hurt";
// }
// 
// protected String getDeathSound()
// {
//    return "mob.zombie.death";
// }
 
 protected void playStepSound(int par1, int par2, int par3, int par4)
 {
	 this.worldObj.playSoundAtEntity(this, "mob.zombie.step", 0.15F, 1.0F);
 }
}